stream_context_get_params
stream_context_set_option
Stream Functions
PHP Manual

# stream_context_set_default

Set the default stream context

### Description

resource stream_context_set_default ( array `$options` )

Set the default stream context which will be used whenever file operations (fopen, file_get_contents, etc...) are called without a context parameter. Uses the same syntax as stream_context_create.

### Parameters

`options`

  The options to set for the default context.

  > Note:

  > `options` must be an associative array of associative arrays in the format $arr['wrapper']['option'] = $value.

### Return Values

Returns the default stream context.

### Examples

Example #1 stream_context_set_default example

`<?php
$default_opts = array(
'http'=>array(
'method'=>"GET",
'header'=>"Accept-language: en\r\n" .
"Cookie: foo=bar",
'proxy'=>"tcp://10.54.1.39:8000"
)
);
$default = stream_context_set_default($default_opts);
/* Sends a regular GET request to proxy server at 10.54.1.39
* For www.example.com using context options specified in $default_opts
*/
readfile('http://www.example.com');
?>`

### See Also

- stream_context_create
- stream_context_get_default
- Listing of supported wrappers with context options (Supported Protocols and Wrappers).